<div class="container-fluid">
  <form [formGroup]="form" (ngSubmit)="onSubmit()" #formDir="ngForm" novalidate>
    <div class="row">
      <div class="col-8">
        <div class="form-group">
          <div class="input-group">
            <label class="form-control">Name</label>
            <input type="text" class="form-control" placeholder="Name"
                   formControlName="name" />
          </div>
          <div *ngIf="form.get('name').errors && (form.get('name').dirty || form.get('name').touched)">
            <span class="text-danger ml-3" *ngIf="form.get('name').errors?.required">
             Name is required.
            </span>
          </div>
        </div>
      </div>
    </div>
    <div class="row">
      <div class="col-8">
        <div class="form-group">
          <div class="input-group">
            <label class="form-control">IsActive</label>
            <input type="checkbox" class="form-control" formControlName="isDeleted">
          </div>
        </div>
      </div>
    </div>
    <div class="row">
      <div class="col-8">
        <div class="form-group">
          <button  type="submit" class="btn btn-warning float-left" [disabled]="!form.valid" ><span
            class="fa fa-plus-circle">&nbsp;</span>
            {{mode=='new' ? 'Add' : 'Update'}}  </button>
        </div>
      </div>
    </div>
  </form>
</div>
